python-stdnum (2.2-1) unstable; urgency=medium

  * New upstream release
    - Add modules for the following number formats:
      - VÖEN (Vergi ödəyicisinin eyniləşdirmə nömrəsi, Azerbaijan tax number)
        (thanks Leandro Regueiro)
      - Belgian OGM-VCS (thanks Cédric Krier)
      - Leitweg-ID, a buyer reference or routing identifier for electronic
        invoices (thanks Tuukka Tolvanen)
      - European Excise Number (thanks Cédric Krier)
      - n° d'accise (French number to identify taxpayers of excise taxes)
        (thanks Cédric Krier)
      - RCS (French trade registration number for commercial companies)
        (thanks Fabien MICHEL)
      - NUIT (Número Único de Identificação Tributaria, Mozambique tax number)
        (thanks Luca and Leandro Regueiro)
      - NINEA (Numéro d'Identification Nationale des Entreprises et
        Associations, Senegal tax number) (thanks Leandro Regueiro)
    - Fix handling of decimals in Application Identifiers (thanks zipus)
    - Update list of valid Chinese counties (thanks 电子旅人 and Luca)
    - Mark more Romanian CNP county codes as valid (thanks luella-s)
    - Support Latvian personal codes issued after 2017
      (thanks José Luis López Pino)
    - Provide aliases for Estonian numbers (thanks Joni Saarinen)
    - Add validation of country code in BIC (thanks Luuk Gubbels)
    - Add function to convert a French VAT number into a SIREN
      (thanks Fabien MICHEL)
    - Add a function to format a French SIREN (thanks Fabien MICHEL)
    - Add extra validation of Belgian VAT numbers (thanks Antonio Ginestar)
    - Add support for nace revision 2.1 (thanks KathrinM)
    - Support the new Romanian ONRC format (thanks dotbit1)
    - Support new format for Brazilian CNPJ (thanks Cloves Oliveira)
  * Update debian/watch version
  * Drop redundant Rules-Requires-Root field
  * Run test suite against supported Python versions

 -- Arthur de Jong <adejong@debian.org>  Sun, 04 Jan 2026 21:19:46 +0100

python-stdnum (2.1-3) unstable; urgency=medium

  * Replace superficial autopkgtest with unittests

 -- Arthur de Jong <adejong@debian.org>  Sat, 19 Jul 2025 20:02:37 +0200

python-stdnum (2.1-2) unstable; urgency=medium

  * Add minimal autopkgtest test suite

 -- Arthur de Jong <adejong@debian.org>  Sat, 31 May 2025 19:05:33 +0200

python-stdnum (2.1-1) unstable; urgency=medium

  * New upstream release (from 2.0 and 2.1 release notes):
    - Include type hints for mypy (thanks David Salvisberg)
    - Add modules for the following number formats:
      - eID Number (Belgian electronic Identity Card Number)
        (thanks Jeff Horemans)
      - SSN, INSZ, NISS (Belgian social security number) (thanks Jeff Horemans)
      - CAE (Código de Actividad y Establecimiento, Spanish activity
        establishment code)  (thanks Quique Porta)
      - NIK (Nomor Induk Kependudukan, Indonesian identity number)
      - ISNI (International Standard Name Identifier) (thanks Henning Kage)
      - IN (個人番号, kojin bangō, Japanese Individual Number)
        (thanks Luca Sicurello)
      - Identiteitskaartnummer, Paspoortnummer (the Dutch passport number)
        (thanks Jeff Horemans)
      - ОГРН, OGRN, PSRN, ОГРНИП, OGRNIP (Russian Primary State
        Registration Number) (thanks Ivan Stavropoltsev)
    - Fix Czech RČ check digit validation (thanks Jan Chaloupecky)
    - Support Ecuador public RUC with juridical format (thanks Leandro)
    - Allow Uruguay RUT numbers starting with 22
    - Add missing music industry ISRC country codes (thanks Victor Sordoillet)
    - Support 16 digit Indonesian NPWP numbers (thanks Chris Smola)
    - Adjust Swiss uid module to accept numbers without CHE prefix
      (thanks Jeff Horemans)
    - Update Irish PPS validator to support new numbers (thanks Olly Middleton)
    - Add missing vat alias for Thailand VAT number (thanks Leandro Regueiro)
    - Ensure that certificate verification can be configured using the verify
      argument when using web services
    - The check_dgii() and search_dgii() functions from the Dominican
      Republic Cedula and RNC modules no longer work due to a change in the
      DGII online web service
    - The stdnum.util.to_unicode() function is now deprecated and will be
      removed in an upcoming release
  * Update debian/watch to new release tarball name
  * Remove LC_ALL test override
  * Update standards version to 4.7.2, no changes needed.

 -- Arthur de Jong <adejong@debian.org>  Sat, 17 May 2025 16:52:50 +0200

python-stdnum (1.20-3) unstable; urgency=medium

  * Team Upload
  * Drop dependency on python3-pkg-resources (Closes: #1083712)
  * Set DPT as Maintainer per new DPT Policy

 -- Alexandre Detiste <tchet@debian.org>  Fri, 17 Jan 2025 13:31:20 +0100

python-stdnum (1.20-2) unstable; urgency=medium

  * Team Upload

  [ Arthur de Jong ]
  * Update list of formats in package description
  * Upstream switched from nose to pytest in 1.18
  * Drop suggests on pysimplesoap (closes: #1070907)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 Aug 2024 01:38:48 +0200

python-stdnum (1.20-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - BC PHN (British Columbia Personal Health Number) (thanks Ömer Boratav)
      - EC Number (European Community number) (thanks Daniel Weber)
      - VID (Indian personal virtual identity number) (thanks Atul Deolekar)
    - Fix typo in German Umsatzsteur Identifikationnummer
      (thanks Александр Кизеев)
    - Ensure EU VAT numbers don't accept duplicate country codes
    - Fix vatin number compacting for "EU" VAT numbers (thanks Davide Walder)
    - Add check digit validation to French NIF (thanks Kevin Dagostino)
    - Fix Ukrainian EDRPOU check digit calculation (thanks sector119)

 -- Arthur de Jong <adejong@debian.org>  Sun, 17 Mar 2024 23:14:18 +0100

python-stdnum (1.19-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Arthur de Jong <adejong@debian.org>  Fri, 08 Sep 2023 15:24:38 +0200

python-stdnum (1.19-1) unstable; urgency=medium

  [ Arthur de Jong ]
  * New upstream release:
    - Add modules for the following number formats:
      - Tax Registration Number (الرقم الضريبي, Egypt tax number)
        (thanks Leandro Regueiro)
      - Postcode (the Spanish postal code) (thanks Víctor)
      - NIFp (Numéro d'Identification Fiscale Permanent, Guinea tax number)
        (thanks Leandro Regueiro)
      - BIS (Belgian BIS number) (thanks Jeff Horemans)
      - Matična številka poslovnega registra (Corporate Registration Number)
        (thanks Blaž Bregar)
      - OSS (European VAT on e-Commerce - One Stop Shop)
        (thanks Sergi Almacellas Abellana)
    - Extend the validation of the Albanian NIPT (NUIS) number
      (thanks Julien Launois)
    - Support different date formats in parsing GS1-128 application identifiers
    - Add get_county() function to Romanian CNP (thanks RaduBorzea)
    - Add functionality to get gender from Belgian National Number
      (thanks Jeff Horemans)
    - Add support for Finland HETU new century indicating signs
      (thanks Maks Turtiainen)
    - Add functionality to get (partial) birth date from Belgian National Number
      (thanks Jeff Horemans)
    - Extend validation of Canadian SIN (thanks Marcel Lecker)
    - Fix Belarusian UNP online validation
    - Various typo and documentation fixes (thanks valeriko,
      Dimitri Papadopoulos, Ali-Akber Saifee and Chales Horn)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all, python3-nose and
      python3-sphinx.
  * Update standards version to 4.6.2, no changes needed.

 -- Arthur de Jong <adejong@debian.org>  Sun, 20 Aug 2023 19:39:51 +0200

python-stdnum (1.18-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - NN, NISS (Belgian national number) (thanks Cédric Krier)
      - CFI (ISO 10962 Classification of Financial Instruments)
      - Czech bank account number (thanks Petr Přikryl)
      - NIF, sometimes N.I.F. (Numéro d'Identification Fiscale, Algeria
        tax number) (thanks Leandro Regueiro)
      - V-number (Vinnutal, Faroe Islands tax number) (thanks Leandro Regueiro)
      - TIN (Taxpayer Identification Number, Ghana tax number)
        (thanks Leandro Regueiro)
      - PIN (Personal Identification Number, Kenya tax number)
        (thanks Leandro Regueiro)
      - ICE (Identifiant Commun de l’Entreprise, التعريف الموحد للمقاولة,
        Morocco tax number) (thanks Leandro Regueiro)
      - PIB (Poreski Identifikacioni Broj, Montenegro tax number)
        (thanks Leandro Regueiro)
      - ЕДБ (Едниствен Даночен Број, North Macedonia tax number)
        (thanks Leandro Regueiro)
      - CNIC number (Pakistani Computerised National Identity Card number)
        (thanks Syed Haseeb Shah)
      - Enotna matična številka občana (Unique Master Citizen Number)
        (thanks Blaž Bregar)
      - MF (Matricule Fiscal, Tunisia tax number) (thanks Leandro Regueiro)
    - Fix disabling check digit validation of Mexican CURP (thanks guyskk)
    - Support special validation of La Post SIRET
      (thanks BIGBen99 and Cédric Krier)
    - Fix support for "I" and "O" in CUSIP number (thanks Thomas Kavanagh)
    - Calculate ISO 7064 Mod 97, 10 check digits in the range 02-98 for IBAN
      (thanks David Svenson)
    - Fix German OffeneRegister lookups (change of URL and of data structure)
    - Add extra court alias for Berlin in German Handelsregisternummer
      (thanks Romuald R)
    - Ensure certificate for the Belarus VAT number check_nalog() lookup is
      included
    - Support parsing incomplete dates in GS1-128 (thanks Alexis de Lattre)
    - Improve validation of CAS Registry Number
    - Typo fixes (thanks Vladimir and Dimitri Papadopoulos)
    - Add a check_uid() function to the stdnum.ch.uid module
    - All validation exceptions should now inherit from ValueError
    - Switch from nose to pytest as test runner (closes: #1018584)
    - Update Fødselsnummer test case for date in future (closes: #1022311)
  * Update debian/copyright
  * Upgrade to standards-version 4.6.1 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 13 Nov 2022 21:49:03 +0100

python-stdnum (1.17-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - EPIC (Electoral Photo Identity Card, Indian Voter ID)
        (thanks Gaurav Chauhan)
      - GSTIN (Goods and Services Tax identification number, Indian VAT number)
        (thanks Gaurav Chauhan)
      - ISRC (International Standard Recording Code) (thanks Nuno André)
      - CC (Número de Cartão de Cidadão, Portuguese Identity number)
        (thanks David Vaz)
      - Postcode (the Swedish postal code) (thanks Michele Ciccozzi)
      - MOA (Thailand Memorandum of Association Number)
        (thanks Piruin Panichphol)
      - PIN (Thailand Personal Identification Number) (thanks Piruin Panichphol)
      - TIN (Thailand Taxpayer Identification Number) (thanks Piruin Panichphol)
    - Add ENCF validation support for Dominican Republic NCF
      (thanks Cristopher Ortega)
    - Add new e-CF types to Dominican Republic NCF
      (thanks Frank Roberto Chavez Sosa)
    - Improve French NIF validation (thanks Dimitri Papadopoulos)
    - Fix parsing of empty fields in Dominican Republic DGII checking
      (thanks Andres Rodriguez)
    - Fix handling of empty worksheet in Belgian bank download
      (thanks Dimitri Papadopoulos)
    - Fix detection of natural RUC values (thanks Victor Rodriguez)
    - Fix Belarus VAT number online lookup again
    - Fixes for problems with loading IMSI data from Wikipedia and dealing with
      inconsistencies
    - Remove South Korean BRN Fair Trade Commission website check due to CAPTCHA
  * Handle rename of README
  * Upgrade to standards-version 4.6.0 (no changes needed)
  * Add basic debian/upstream/metadata file

 -- Arthur de Jong <adejong@debian.org>  Sun, 03 Oct 2021 19:46:49 +0200

python-stdnum (1.16-1) unstable; urgency=medium

  * New upstream release:
    - Support XI country code for Northern Ireland VAT numbers
      (thanks Alexis de Lattre)
    - Switch data source for Austrian postal codes
      (thanks Bernd Schlapsi)
    - Fix Belarus VAT number online lookup

 -- Arthur de Jong <adejong@debian.org>  Sat, 06 Feb 2021 17:52:07 +0100

python-stdnum (1.15-1) unstable; urgency=medium

  [ Arthur de Jong ]
  * New upstream release:
    - Add modules for the following number formats:
      - CUI or CIF (Codul Unic de Înregistrare, Romanian company identifier)
      - PEID (Liechtenstein tax code for individuals and entities)
        (thanks Matthias Schmid)
      - ЄДРПОУ, EDRPOU (Identifier for enterprises and organizations in
        Ukraine) (thanks Leandro Regueiro)
      - РНОКПП, RNTRC (Individual taxpayer registration number in Ukraine)
        (thanks Leandro Regueiro)
    - Make list of EU member states part of public API
    - Retain RO prefix in Romanian VAT numbers
    - Support international VAT numbers that are only valid with country
      prefix
    - Expanded validation for Belgian VAT numbers
    - Use ABN as Australian VAT number
    - Remove GB from EU member states
  * Update debian/watch version
  * Specify Rules-Requires-Root: no
  * Upgrade to standards-version 4.5.1 (no changes needed)
  * Update debian/copyright

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Arthur de Jong <adejong@debian.org>  Wed, 13 Jan 2021 23:21:29 +0100

python-stdnum (1.14-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - УНП, UNP (Учетный номер плательщика, the Belarus VAT number)
      - AIC (Italian code for identification of drugs)
        (thanks Fabrizio Montanari)
      - Company Number (מספר חברה, or short ח.פ. Israeli company number)
        (thanks Leandro Regueiro)
      - NIT (Número de Identificación Tributaria, El Salvador tax number)
        (thanks Leandro Regueiro)
      - USCC (Unified Social Credit Code, 统一社会信用代码, China tax number)
        (thanks Leandro Regueiro)
      - UEN (Singapore's Unique Entity Number) (thanks Leandro Regueiro)
      - BRN (사업자 등록 번호, South Korea Business Registration Number)
        (thanks Leandro Regueiro)
      - MST (Mã số thuế, Vietnam tax number) (thanks Leandro Regueiro)
      - NPWP (Nomor Pokok Wajib Pajak, Indonesian VAT Number)
        (thanks Leandro Regueiro)
      - UBN (Unified Business Number, 統一編號, Taiwanese tax number)
        (thanks Leandro Regueiro)
      - UTR (United Kingdom Unique Taxpayer Reference) (thanks Mohammed Salman)
      - ONRC (Ordine din Registrul Comerţului, Romanian Trade Register
        identifier) (thanks dotbit1)
      - GS1-128 (Standard to encode product information in Code 128 barcodes)
        (thanks Sergi Almacellas Abellana)
      - VATIN (International value added tax identification number)
        (thanks Leandro Regueiro)
    - Fix missing Dominican Republic NCF document types (thanks Gustavo
      Valverde)
    - Fix issue with extra plus or minus in Swedish Personnummer
      (thanks balderman)
    - Update Dominican Republic DGII endpoint (thanks Gustavo Valverde)
    - Support validating temporary Finnish personal identity codes
      (thanks Aleksi Hoffman)
    - Fix misleading docstring in se.personnummer.get_birth_date()
      (thanks Leon Sandøy)
    - Improve birth date validation in Danish CPR (thanks Leon Sandøy)
    - Add birth date validating in Norwegian Fødselsnummer (thanks Leon Sandøy)
    - Add missing vat aliases for a number of countries (thanks Leandro
      Regueiro)
    - Use HTTPS instead of HTTP fox VIES lookups (thanks grzekru)
    - Switch to HTTPS URLs where possible
    - Support 6 as third digit in Ecuadorian CI (thanks Christopher Ormaza)
    - Add an online check for South Korean BRN
    - Fix unescaping in Dominican Republic RNC online check (thanks evaldez89)
    - Support foreign residents for Romanian CNP (thanks dotbit1)
  * Update debhelper compatibility level to 13
  * Upgrade to standards-version 4.5.0 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 09 Aug 2020 19:37:02 +0200

python-stdnum (1.13-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - ESR, ISR, QR-reference (reference number on Swiss payment slips)
      - ID number (South African Identity Document number)
    - Add format function for ISO 11649 numbers
    - Add support for Python 3.8
    - Clarify that the Italian Codice Fiscale can also be the IVA for
      companies
    - Support the new Dutch btw-identificatienummer
    - Extend test for Argentinian CUIT to check first two digits
    - Add more country codes to ISIN
  * Update debian/copyright

 -- Arthur de Jong <adejong@debian.org>  Sun, 19 Jan 2020 15:19:58 +0100

python-stdnum (1.12-1) unstable; urgency=medium

  [ Arthur de Jong ]
  * New upstream release:
    - Add modules for the following number formats:
      - NRT (Número de Registre Tributari, Andorra tax number)
      - CPF (Cédula de Persona Física, Costa Rica physical person ID number)
      - CPJ (Cédula de Persona Jurídica, Costa Rica tax number)
      - CR (Cédula de Residencia, Costa Rica foreigners ID number)
      - NIT (Número de Identificación Tributaria, Guatemala tax number)
      - Identity Number (Mispar Zehut, מספר זהות, Israeli identity number)
      - CN (法人番号, hōjin bangō, Japanese Corporate Number)
      - RRN (South Korean resident registration number)
      - IRD number (New Zealand Inland Revenue Department (Te Tari Tāke) number)
      - CUI (Cédula Única de Identidad, Peruvian identity number)
      - RUC (Registro Único de Contribuyentes, Peruvian company tax number)
      - RUC number (Registro Único de Contribuyentes, Paraguay tax number)
      - VKN (Vergi Kimlik Numarası, Turkish tax identification number)
      - RUT (Registro Único Tributario, Uruguay tax number)
      - RIF (Registro de Identificación Fiscal, Venezuelan VAT number)
      - TIN (South African Tax Identification Number)
    - Support GTIN (EAN-14) validation as part of EAN
    - Support Dominican Republic e-CF within NCF
    - Fix Dominican Republic DGII lookups of NCF
    - Fix German Handelsregisternummer to not confuse Hamburg with Homburg
      and to accept shorter numbers
    - Support lookups of German Handelsregisternummer in OffeneRegister.de web
      service
    - Handle - and + sign correctly in Swedish Personnummer
    - Provide various personalid and vat aliases for existing numbers
    - Improve descriptions of Spanish codes
    - Fix handling and normalisation of various Unicode digit representations
  * Add ${sphinxdoc:Depends} to python-stdnum-doc Depends

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Arthur de Jong <adejong@debian.org>  Sat, 02 Nov 2019 17:40:41 +0100

python-stdnum (1.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Team upload.
  * Drop Python 2 support

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Aug 2019 21:07:45 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-stdnum`.
